Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
27a0::/12
First address
27a0::
Last address
27af:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
27a0:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
a.7.2.ip6.arpa
Split into smaller subnets/24

27a0::/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetLast address
127a0::/2427a0:ff:ffff:ffff:ffff:ffff:ffff:ffff
227a0:100::/2427a0:1ff:ffff:ffff:ffff:ffff:ffff:ffff
327a0:200::/2427a0:2ff:ffff:ffff:ffff:ffff:ffff:ffff
427a0:300::/2427a0:3ff:ffff:ffff:ffff:ffff:ffff:ffff
527a0:400::/2427a0:4ff:ffff:ffff:ffff:ffff:ffff:ffff
627a0:500::/2427a0:5ff:ffff:ffff:ffff:ffff:ffff:ffff
727a0:600::/2427a0:6ff:ffff:ffff:ffff:ffff:ffff:ffff
827a0:700::/2427a0:7ff:ffff:ffff:ffff:ffff:ffff:ffff
927a0:800::/2427a0:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1027a0:900::/2427a0:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1127a0:a00::/2427a0:aff:ffff:ffff:ffff:ffff:ffff:ffff
1227a0:b00::/2427a0:bff:ffff:ffff:ffff:ffff:ffff:ffff
1327a0:c00::/2427a0:cff:ffff:ffff:ffff:ffff:ffff:ffff
1427a0:d00::/2427a0:dff:ffff:ffff:ffff:ffff:ffff:ffff
1527a0:e00::/2427a0:eff:ffff:ffff:ffff:ffff:ffff:ffff
1627a0:f00::/2427a0:fff:ffff:ffff:ffff:ffff:ffff:ffff
1727a0:1000::/2427a0:10ff:ffff:ffff:ffff:ffff:ffff:ffff
1827a0:1100::/2427a0:11ff:ffff:ffff:ffff:ffff:ffff:ffff
1927a0:1200::/2427a0:12ff:ffff:ffff:ffff:ffff:ffff:ffff
2027a0:1300::/2427a0:13ff:ffff:ffff:ffff:ffff:ffff:ffff
2127a0:1400::/2427a0:14ff:ffff:ffff:ffff:ffff:ffff:ffff
2227a0:1500::/2427a0:15ff:ffff:ffff:ffff:ffff:ffff:ffff
2327a0:1600::/2427a0:16ff:ffff:ffff:ffff:ffff:ffff:ffff
2427a0:1700::/2427a0:17ff:ffff:ffff:ffff:ffff:ffff:ffff
2527a0:1800::/2427a0:18ff:ffff:ffff:ffff:ffff:ffff:ffff
2627a0:1900::/2427a0:19ff:ffff:ffff:ffff:ffff:ffff:ffff
2727a0:1a00::/2427a0:1aff:ffff:ffff:ffff:ffff:ffff:ffff
2827a0:1b00::/2427a0:1bff:ffff:ffff:ffff:ffff:ffff:ffff
2927a0:1c00::/2427a0:1cff:ffff:ffff:ffff:ffff:ffff:ffff
3027a0:1d00::/2427a0:1dff:ffff:ffff:ffff:ffff:ffff:ffff
3127a0:1e00::/2427a0:1eff:ffff:ffff:ffff:ffff:ffff:ffff
3227a0:1f00::/2427a0:1fff:ffff:ffff:ffff:ffff:ffff:ffff
3327a0:2000::/2427a0:20ff:ffff:ffff:ffff:ffff:ffff:ffff
3427a0:2100::/2427a0:21ff:ffff:ffff:ffff:ffff:ffff:ffff
3527a0:2200::/2427a0:22ff:ffff:ffff:ffff:ffff:ffff:ffff
3627a0:2300::/2427a0:23ff:ffff:ffff:ffff:ffff:ffff:ffff
3727a0:2400::/2427a0:24ff:ffff:ffff:ffff:ffff:ffff:ffff
3827a0:2500::/2427a0:25ff:ffff:ffff:ffff:ffff:ffff:ffff
3927a0:2600::/2427a0:26ff:ffff:ffff:ffff:ffff:ffff:ffff
4027a0:2700::/2427a0:27ff:ffff:ffff:ffff:ffff:ffff:ffff
4127a0:2800::/2427a0:28ff:ffff:ffff:ffff:ffff:ffff:ffff
4227a0:2900::/2427a0:29ff:ffff:ffff:ffff:ffff:ffff:ffff
4327a0:2a00::/2427a0:2aff:ffff:ffff:ffff:ffff:ffff:ffff
4427a0:2b00::/2427a0:2bff:ffff:ffff:ffff:ffff:ffff:ffff
4527a0:2c00::/2427a0:2cff:ffff:ffff:ffff:ffff:ffff:ffff
4627a0:2d00::/2427a0:2dff:ffff:ffff:ffff:ffff:ffff:ffff
4727a0:2e00::/2427a0:2eff:ffff:ffff:ffff:ffff:ffff:ffff
4827a0:2f00::/2427a0:2fff:ffff:ffff:ffff:ffff:ffff:ffff
4927a0:3000::/2427a0:30ff:ffff:ffff:ffff:ffff:ffff:ffff
5027a0:3100::/2427a0:31ff:ffff:ffff:ffff:ffff:ffff:ffff
5127a0:3200::/2427a0:32ff:ffff:ffff:ffff:ffff:ffff:ffff
5227a0:3300::/2427a0:33ff:ffff:ffff:ffff:ffff:ffff:ffff
5327a0:3400::/2427a0:34ff:ffff:ffff:ffff:ffff:ffff:ffff
5427a0:3500::/2427a0:35ff:ffff:ffff:ffff:ffff:ffff:ffff
5527a0:3600::/2427a0:36ff:ffff:ffff:ffff:ffff:ffff:ffff
5627a0:3700::/2427a0:37ff:ffff:ffff:ffff:ffff:ffff:ffff
5727a0:3800::/2427a0:38ff:ffff:ffff:ffff:ffff:ffff:ffff
5827a0:3900::/2427a0:39ff:ffff:ffff:ffff:ffff:ffff:ffff
5927a0:3a00::/2427a0:3aff:ffff:ffff:ffff:ffff:ffff:ffff
6027a0:3b00::/2427a0:3bff:ffff:ffff:ffff:ffff:ffff:ffff
6127a0:3c00::/2427a0:3cff:ffff:ffff:ffff:ffff:ffff:ffff
6227a0:3d00::/2427a0:3dff:ffff:ffff:ffff:ffff:ffff:ffff
6327a0:3e00::/2427a0:3eff:ffff:ffff:ffff:ffff:ffff:ffff
6427a0:3f00::/2427a0:3fff:ffff:ffff:ffff:ffff:ffff:ffff
6527a0:4000::/2427a0:40ff:ffff:ffff:ffff:ffff:ffff:ffff
6627a0:4100::/2427a0:41ff:ffff:ffff:ffff:ffff:ffff:ffff
6727a0:4200::/2427a0:42ff:ffff:ffff:ffff:ffff:ffff:ffff
6827a0:4300::/2427a0:43ff:ffff:ffff:ffff:ffff:ffff:ffff
6927a0:4400::/2427a0:44ff:ffff:ffff:ffff:ffff:ffff:ffff
7027a0:4500::/2427a0:45ff:ffff:ffff:ffff:ffff:ffff:ffff
7127a0:4600::/2427a0:46ff:ffff:ffff:ffff:ffff:ffff:ffff
7227a0:4700::/2427a0:47ff:ffff:ffff:ffff:ffff:ffff:ffff
7327a0:4800::/2427a0:48ff:ffff:ffff:ffff:ffff:ffff:ffff
7427a0:4900::/2427a0:49ff:ffff:ffff:ffff:ffff:ffff:ffff
7527a0:4a00::/2427a0:4aff:ffff:ffff:ffff:ffff:ffff:ffff
7627a0:4b00::/2427a0:4bff:ffff:ffff:ffff:ffff:ffff:ffff
7727a0:4c00::/2427a0:4cff:ffff:ffff:ffff:ffff:ffff:ffff
7827a0:4d00::/2427a0:4dff:ffff:ffff:ffff:ffff:ffff:ffff
7927a0:4e00::/2427a0:4eff:ffff:ffff:ffff:ffff:ffff:ffff
8027a0:4f00::/2427a0:4fff:ffff:ffff:ffff:ffff:ffff:ffff
8127a0:5000::/2427a0:50ff:ffff:ffff:ffff:ffff:ffff:ffff
8227a0:5100::/2427a0:51ff:ffff:ffff:ffff:ffff:ffff:ffff
8327a0:5200::/2427a0:52ff:ffff:ffff:ffff:ffff:ffff:ffff
8427a0:5300::/2427a0:53ff:ffff:ffff:ffff:ffff:ffff:ffff
8527a0:5400::/2427a0:54ff:ffff:ffff:ffff:ffff:ffff:ffff
8627a0:5500::/2427a0:55ff:ffff:ffff:ffff:ffff:ffff:ffff
8727a0:5600::/2427a0:56ff:ffff:ffff:ffff:ffff:ffff:ffff
8827a0:5700::/2427a0:57ff:ffff:ffff:ffff:ffff:ffff:ffff
8927a0:5800::/2427a0:58ff:ffff:ffff:ffff:ffff:ffff:ffff
9027a0:5900::/2427a0:59ff:ffff:ffff:ffff:ffff:ffff:ffff
9127a0:5a00::/2427a0:5aff:ffff:ffff:ffff:ffff:ffff:ffff
9227a0:5b00::/2427a0:5bff:ffff:ffff:ffff:ffff:ffff:ffff
9327a0:5c00::/2427a0:5cff:ffff:ffff:ffff:ffff:ffff:ffff
9427a0:5d00::/2427a0:5dff:ffff:ffff:ffff:ffff:ffff:ffff
9527a0:5e00::/2427a0:5eff:ffff:ffff:ffff:ffff:ffff:ffff
9627a0:5f00::/2427a0:5fff:ffff:ffff:ffff:ffff:ffff:ffff
9727a0:6000::/2427a0:60ff:ffff:ffff:ffff:ffff:ffff:ffff
9827a0:6100::/2427a0:61ff:ffff:ffff:ffff:ffff:ffff:ffff
9927a0:6200::/2427a0:62ff:ffff:ffff:ffff:ffff:ffff:ffff
10027a0:6300::/2427a0:63ff:ffff:ffff:ffff:ffff:ffff:ffff
10127a0:6400::/2427a0:64ff:ffff:ffff:ffff:ffff:ffff:ffff
10227a0:6500::/2427a0:65ff:ffff:ffff:ffff:ffff:ffff:ffff
10327a0:6600::/2427a0:66ff:ffff:ffff:ffff:ffff:ffff:ffff
10427a0:6700::/2427a0:67ff:ffff:ffff:ffff:ffff:ffff:ffff
10527a0:6800::/2427a0:68ff:ffff:ffff:ffff:ffff:ffff:ffff
10627a0:6900::/2427a0:69ff:ffff:ffff:ffff:ffff:ffff:ffff
10727a0:6a00::/2427a0:6aff:ffff:ffff:ffff:ffff:ffff:ffff
10827a0:6b00::/2427a0:6bff:ffff:ffff:ffff:ffff:ffff:ffff
10927a0:6c00::/2427a0:6cff:ffff:ffff:ffff:ffff:ffff:ffff
11027a0:6d00::/2427a0:6dff:ffff:ffff:ffff:ffff:ffff:ffff
11127a0:6e00::/2427a0:6eff:ffff:ffff:ffff:ffff:ffff:ffff
11227a0:6f00::/2427a0:6fff:ffff:ffff:ffff:ffff:ffff:ffff
11327a0:7000::/2427a0:70ff:ffff:ffff:ffff:ffff:ffff:ffff
11427a0:7100::/2427a0:71ff:ffff:ffff:ffff:ffff:ffff:ffff
11527a0:7200::/2427a0:72ff:ffff:ffff:ffff:ffff:ffff:ffff
11627a0:7300::/2427a0:73ff:ffff:ffff:ffff:ffff:ffff:ffff
11727a0:7400::/2427a0:74ff:ffff:ffff:ffff:ffff:ffff:ffff
11827a0:7500::/2427a0:75ff:ffff:ffff:ffff:ffff:ffff:ffff
11927a0:7600::/2427a0:76ff:ffff:ffff:ffff:ffff:ffff:ffff
12027a0:7700::/2427a0:77ff:ffff:ffff:ffff:ffff:ffff:ffff
12127a0:7800::/2427a0:78ff:ffff:ffff:ffff:ffff:ffff:ffff
12227a0:7900::/2427a0:79ff:ffff:ffff:ffff:ffff:ffff:ffff
12327a0:7a00::/2427a0:7aff:ffff:ffff:ffff:ffff:ffff:ffff
12427a0:7b00::/2427a0:7bff:ffff:ffff:ffff:ffff:ffff:ffff
12527a0:7c00::/2427a0:7cff:ffff:ffff:ffff:ffff:ffff:ffff
12627a0:7d00::/2427a0:7dff:ffff:ffff:ffff:ffff:ffff:ffff
12727a0:7e00::/2427a0:7eff:ffff:ffff:ffff:ffff:ffff:ffff
12827a0:7f00::/2427a0:7fff:ffff:ffff:ffff:ffff:ffff:ffff
12927a0:8000::/2427a0:80ff:ffff:ffff:ffff:ffff:ffff:ffff
13027a0:8100::/2427a0:81ff:ffff:ffff:ffff:ffff:ffff:ffff
13127a0:8200::/2427a0:82ff:ffff:ffff:ffff:ffff:ffff:ffff
13227a0:8300::/2427a0:83ff:ffff:ffff:ffff:ffff:ffff:ffff
13327a0:8400::/2427a0:84ff:ffff:ffff:ffff:ffff:ffff:ffff
13427a0:8500::/2427a0:85ff:ffff:ffff:ffff:ffff:ffff:ffff
13527a0:8600::/2427a0:86ff:ffff:ffff:ffff:ffff:ffff:ffff
13627a0:8700::/2427a0:87ff:ffff:ffff:ffff:ffff:ffff:ffff
13727a0:8800::/2427a0:88ff:ffff:ffff:ffff:ffff:ffff:ffff
13827a0:8900::/2427a0:89ff:ffff:ffff:ffff:ffff:ffff:ffff
13927a0:8a00::/2427a0:8aff:ffff:ffff:ffff:ffff:ffff:ffff
14027a0:8b00::/2427a0:8bff:ffff:ffff:ffff:ffff:ffff:ffff
14127a0:8c00::/2427a0:8cff:ffff:ffff:ffff:ffff:ffff:ffff
14227a0:8d00::/2427a0:8dff:ffff:ffff:ffff:ffff:ffff:ffff
14327a0:8e00::/2427a0:8eff:ffff:ffff:ffff:ffff:ffff:ffff
14427a0:8f00::/2427a0:8fff:ffff:ffff:ffff:ffff:ffff:ffff
14527a0:9000::/2427a0:90ff:ffff:ffff:ffff:ffff:ffff:ffff
14627a0:9100::/2427a0:91ff:ffff:ffff:ffff:ffff:ffff:ffff
14727a0:9200::/2427a0:92ff:ffff:ffff:ffff:ffff:ffff:ffff
14827a0:9300::/2427a0:93ff:ffff:ffff:ffff:ffff:ffff:ffff
14927a0:9400::/2427a0:94ff:ffff:ffff:ffff:ffff:ffff:ffff
15027a0:9500::/2427a0:95ff:ffff:ffff:ffff:ffff:ffff:ffff
15127a0:9600::/2427a0:96ff:ffff:ffff:ffff:ffff:ffff:ffff
15227a0:9700::/2427a0:97ff:ffff:ffff:ffff:ffff:ffff:ffff
15327a0:9800::/2427a0:98ff:ffff:ffff:ffff:ffff:ffff:ffff
15427a0:9900::/2427a0:99ff:ffff:ffff:ffff:ffff:ffff:ffff
15527a0:9a00::/2427a0:9aff:ffff:ffff:ffff:ffff:ffff:ffff
15627a0:9b00::/2427a0:9bff:ffff:ffff:ffff:ffff:ffff:ffff
15727a0:9c00::/2427a0:9cff:ffff:ffff:ffff:ffff:ffff:ffff
15827a0:9d00::/2427a0:9dff:ffff:ffff:ffff:ffff:ffff:ffff
15927a0:9e00::/2427a0:9eff:ffff:ffff:ffff:ffff:ffff:ffff
16027a0:9f00::/2427a0:9fff:ffff:ffff:ffff:ffff:ffff:ffff
16127a0:a000::/2427a0:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
16227a0:a100::/2427a0:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
16327a0:a200::/2427a0:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
16427a0:a300::/2427a0:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
16527a0:a400::/2427a0:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
16627a0:a500::/2427a0:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
16727a0:a600::/2427a0:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
16827a0:a700::/2427a0:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
16927a0:a800::/2427a0:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
17027a0:a900::/2427a0:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
17127a0:aa00::/2427a0:aaff:ffff:ffff:ffff:ffff:ffff:ffff
17227a0:ab00::/2427a0:abff:ffff:ffff:ffff:ffff:ffff:ffff
17327a0:ac00::/2427a0:acff:ffff:ffff:ffff:ffff:ffff:ffff
17427a0:ad00::/2427a0:adff:ffff:ffff:ffff:ffff:ffff:ffff
17527a0:ae00::/2427a0:aeff:ffff:ffff:ffff:ffff:ffff:ffff
17627a0:af00::/2427a0:afff:ffff:ffff:ffff:ffff:ffff:ffff
17727a0:b000::/2427a0:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
17827a0:b100::/2427a0:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
17927a0:b200::/2427a0:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
18027a0:b300::/2427a0:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
18127a0:b400::/2427a0:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
18227a0:b500::/2427a0:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
18327a0:b600::/2427a0:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
18427a0:b700::/2427a0:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
18527a0:b800::/2427a0:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
18627a0:b900::/2427a0:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
18727a0:ba00::/2427a0:baff:ffff:ffff:ffff:ffff:ffff:ffff
18827a0:bb00::/2427a0:bbff:ffff:ffff:ffff:ffff:ffff:ffff
18927a0:bc00::/2427a0:bcff:ffff:ffff:ffff:ffff:ffff:ffff
19027a0:bd00::/2427a0:bdff:ffff:ffff:ffff:ffff:ffff:ffff
19127a0:be00::/2427a0:beff:ffff:ffff:ffff:ffff:ffff:ffff
19227a0:bf00::/2427a0:bfff:ffff:ffff:ffff:ffff:ffff:ffff
19327a0:c000::/2427a0:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
19427a0:c100::/2427a0:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
19527a0:c200::/2427a0:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
19627a0:c300::/2427a0:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
19727a0:c400::/2427a0:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
19827a0:c500::/2427a0:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
19927a0:c600::/2427a0:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
20027a0:c700::/2427a0:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
20127a0:c800::/2427a0:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
20227a0:c900::/2427a0:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
20327a0:ca00::/2427a0:caff:ffff:ffff:ffff:ffff:ffff:ffff
20427a0:cb00::/2427a0:cbff:ffff:ffff:ffff:ffff:ffff:ffff
20527a0:cc00::/2427a0:ccff:ffff:ffff:ffff:ffff:ffff:ffff
20627a0:cd00::/2427a0:cdff:ffff:ffff:ffff:ffff:ffff:ffff
20727a0:ce00::/2427a0:ceff:ffff:ffff:ffff:ffff:ffff:ffff
20827a0:cf00::/2427a0:cfff:ffff:ffff:ffff:ffff:ffff:ffff
20927a0:d000::/2427a0:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
21027a0:d100::/2427a0:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
21127a0:d200::/2427a0:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
21227a0:d300::/2427a0:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
21327a0:d400::/2427a0:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
21427a0:d500::/2427a0:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
21527a0:d600::/2427a0:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
21627a0:d700::/2427a0:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
21727a0:d800::/2427a0:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
21827a0:d900::/2427a0:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
21927a0:da00::/2427a0:daff:ffff:ffff:ffff:ffff:ffff:ffff
22027a0:db00::/2427a0:dbff:ffff:ffff:ffff:ffff:ffff:ffff
22127a0:dc00::/2427a0:dcff:ffff:ffff:ffff:ffff:ffff:ffff
22227a0:dd00::/2427a0:ddff:ffff:ffff:ffff:ffff:ffff:ffff
22327a0:de00::/2427a0:deff:ffff:ffff:ffff:ffff:ffff:ffff
22427a0:df00::/2427a0:dfff:ffff:ffff:ffff:ffff:ffff:ffff
22527a0:e000::/2427a0:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
22627a0:e100::/2427a0:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
22727a0:e200::/2427a0:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
22827a0:e300::/2427a0:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
22927a0:e400::/2427a0:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
23027a0:e500::/2427a0:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
23127a0:e600::/2427a0:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
23227a0:e700::/2427a0:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
23327a0:e800::/2427a0:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
23427a0:e900::/2427a0:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
23527a0:ea00::/2427a0:eaff:ffff:ffff:ffff:ffff:ffff:ffff
23627a0:eb00::/2427a0:ebff:ffff:ffff:ffff:ffff:ffff:ffff
23727a0:ec00::/2427a0:ecff:ffff:ffff:ffff:ffff:ffff:ffff
23827a0:ed00::/2427a0:edff:ffff:ffff:ffff:ffff:ffff:ffff
23927a0:ee00::/2427a0:eeff:ffff:ffff:ffff:ffff:ffff:ffff
24027a0:ef00::/2427a0:efff:ffff:ffff:ffff:ffff:ffff:ffff
24127a0:f000::/2427a0:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
24227a0:f100::/2427a0:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
24327a0:f200::/2427a0:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
24427a0:f300::/2427a0:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
24527a0:f400::/2427a0:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
24627a0:f500::/2427a0:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
24727a0:f600::/2427a0:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
24827a0:f700::/2427a0:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
24927a0:f800::/2427a0:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
25027a0:f900::/2427a0:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
25127a0:fa00::/2427a0:faff:ffff:ffff:ffff:ffff:ffff:ffff
25227a0:fb00::/2427a0:fbff:ffff:ffff:ffff:ffff:ffff:ffff
25327a0:fc00::/2427a0:fcff:ffff:ffff:ffff:ffff:ffff:ffff
25427a0:fd00::/2427a0:fdff:ffff:ffff:ffff:ffff:ffff:ffff
25527a0:fe00::/2427a0:feff:ffff:ffff:ffff:ffff:ffff:ffff
25627a0:ff00::/2427a0:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses